## pyxplot 0.6.3.1+ds

=== doc/Makefile ===
# MAKEFILE
#
# The code in this file is part of PyXPlot
# <http://www.pyxplot.org.uk>
#
# Copyright (C) 2006-7 Dominic Ford <coders@pyxplot.org.uk>
#
# $Id: Makefile 14 2007-02-23 13:49:14Z dcf21 $
#
# PyXPlot is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# You should have received a copy of the GNU General Public License along with
# PyXPlot; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

# ----------------------------------------------------------------------------

# Makefile for PyXPlot documentation directory

PYXPLOT = `which pyxplot`
EXAMPLEDIR = examples
EPSDIR = $(EXAMPLEDIR)/eps
EPSFILES = $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_axislab.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_legends.eps $(EPSDIR)/ex_seminar.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_funcsplice1.eps $(EPSDIR)/ex_funcsplice2.eps

all: $(EPSFILES) pyxplot.pdf

clean:
	rm -Rf $(EPSDIR)
	rm -f pyxplot.pdf pyxplot.ps pyxplot.dvi pyxplot.aux pyxplot.idx pyxplot.ilg pyxplot.ind pyxplot.log pyxplot.toc
	rm -Rf html

$(EPSDIR)/%.eps: $(EXAMPLEDIR)/%.ppl
	echo "Producing example plot $*..."
	mkdir -p $(EPSDIR)
	$(PYXPLOT) $< > /dev/null

%.pdf: %.ps
	echo "Making pdf documentation..."
	ps2pdf $< $@ > /dev/null 2> /dev/null

%.ps: %.dvi
	echo "Making postscript documentation..."
	dvips -Pcmz -Pamz $< -o $@ > /dev/null 2> /dev/null

%.dvi: %.tex
	echo "Compiling documentation..."
	latex $< > /dev/null 2> /dev/null
	latex $< > /dev/null 2> /dev/null
	latex $< > /dev/null 2> /dev/null
	makeindex pyxplot.idx > /dev/null 2> /dev/null
	latex $< > /dev/null 2> /dev/null

## pyxplot 0.7.1+1

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Copyright (C) 2006-7 Dominic Ford <coders@pyxplot.org.uk>
 #
-# $Id: Makefile 14 2007-02-23 13:49:14Z dcf21 $
+# $Id: Makefile 192 2008-04-19 13:53:32Z dcf21 $
 #
 # PyXPlot is free software; you can redistribute it and/or modify it under the
 # terms of the GNU General Public License as published by the Free Software
@@ -23,13 +23,13 @@
 PYXPLOT = `which pyxplot`
 EXAMPLEDIR = examples
 EPSDIR = $(EXAMPLEDIR)/eps
-EPSFILES = $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_axislab.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_legends.eps $(EPSDIR)/ex_seminar.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_funcsplice1.eps $(EPSDIR)/ex_funcsplice2.eps
+EPSFILES = $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_axislab.eps $(EPSDIR)/ex_fitting.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_legends.eps $(EPSDIR)/ex_seminar.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_funcsplice1.eps $(EPSDIR)/ex_funcsplice2.eps $(EPSDIR)/ex_map.eps $(EPSDIR)/ex_linestyles.eps
 
 all: $(EPSFILES) pyxplot.pdf
 
 clean:
 	rm -Rf $(EPSDIR)
-	rm -f pyxplot.pdf pyxplot.ps pyxplot.dvi pyxplot.aux pyxplot.idx pyxplot.ilg pyxplot.ind pyxplot.log pyxplot.toc
+	rm -f pyxplot.pdf pyxplot.ps pyxplot.dvi *.aux *.idx *.ilg *.ind *.log *.toc
 	rm -Rf html
 
 $(EPSDIR)/%.eps: $(EXAMPLEDIR)/%.ppl
@@ -45,10 +45,10 @@
 	echo "Making postscript documentation..."
 	dvips -Pcmz -Pamz $< -o $@ > /dev/null 2> /dev/null
 
-%.dvi: %.tex
+pyxplot.dvi: changelog.tex colours.tex configuration.tex definitions.tex externals.tex first_steps.tex fit_maths.tex introduction.tex numerics.tex other_apps.tex plotting.tex pyxplot.tex reference.tex vector_graphics.tex
 	echo "Compiling documentation..."
-	latex $< > /dev/null 2> /dev/null
-	latex $< > /dev/null 2> /dev/null
-	latex $< > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null
 	makeindex pyxplot.idx > /dev/null 2> /dev/null
-	latex $< > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null

## pyxplot 0.8.1

=== doc/Makefile ===
# MAKEFILE
#
# The code in this file is part of PyXPlot
# <http://www.pyxplot.org.uk>
#
# Copyright (C) 2006-7 Dominic Ford <coders@pyxplot.org.uk>
#
# $Id: Makefile 768 2010-05-15 20:26:07Z dcf21 $
#
# PyXPlot is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# You should have received a copy of the GNU General Public License along with
# PyXPlot; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

# ----------------------------------------------------------------------------

# Makefile for PyXPlot documentation directory

PYXPLOT = ../bin/pyxplot
EXAMPLEDIR = examples
EPSDIR = $(EXAMPLEDIR)/eps
EPSFILES = $(EPSDIR)/ex_apachelog.eps $(EPSDIR)/ex_axisatzero.eps $(EPSDIR)/ex_axislabs.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_axistics2.eps $(EPSDIR)/ex_axisunits.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_cmbrtemp.eps $(EPSDIR)/ex_col_vs_mono.eps $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_eqnsolve.eps $(EPSDIR)/ex_ellipse.eps $(EPSDIR)/ex_euclid_I_47.eps $(EPSDIR)/ex_fft.eps $(EPSDIR)/ex_fitting.eps $(EPSDIR)/ex_funcsplice.eps $(EPSDIR)/ex_funcsplice2.eps $(EPSDIR)/ex_gallery.eps $(EPSDIR)/ex_hlines.eps $(EPSDIR)/ex_hrdiagram.eps $(EPSDIR)/ex_integration.eps $(EPSDIR)/ex_interpolation.eps $(EPSDIR)/ex_intro_bessel.eps $(EPSDIR)/ex_intro_func.eps $(EPSDIR)/ex_intro_func_splice.eps $(EPSDIR)/ex_intro_legendre.eps $(EPSDIR)/ex_intro_sine.eps $(EPSDIR)/ex_lenses.eps $(EPSDIR)/ex_linestyles.eps $(EPSDIR)/ex_lowerlimit.eps $(EPSDIR)/ex_mandelbrot.eps $(EPSDIR)/ex_map.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_nanotubes.eps $(EPSDIR)/ex_noentry.eps $(EPSDIR)/ex_notice.eps $(EPSDIR)/ex_pendulum.eps $(EPSDIR)/ex_pi_estimation.eps $(EPSDIR)/ex_piechart.eps $(EPSDIR)/ex_spirograph.eps $(EPSDIR)/ex_set_terminal.eps $(EPSDIR)/ex_tempscale.eps $(EPSDIR)/ex_text1.eps $(EPSDIR)/ex_text2.eps $(EPSDIR)/ex_triangle.eps $(EPSDIR)/ex_trajectories.eps $(EPSDIR)/ex_vortex.eps $(EPSDIR)/ex_windowfuncs.eps

SOURCES = calculations.tex changelog.tex colours.tex configuration.tex constants.tex data.tex definitions.tex first_steps.tex fit_maths.tex functions.tex gnuplot_diffs.tex installation.tex introduction.tex linestyles.tex main.tex other_apps.tex papersizes.tex plotting.tex programming.tex pyxplot.tex pyxplot-plain.tex reference.tex terminals.tex units.tex vector_graphics.tex $(EPSFILES)

all: $(EPSFILES) pyxplot-plain.ps pyxplot-plain.pdf pyxplot.pdf

clean:
	rm -Rf $(EPSDIR)
	rm -f *.pdf *.ps *.dvi *.aux *.idx *.ilg *.ind *.lob *.loe *.lof *.log *.out *.toc

$(EPSDIR)/%.eps: $(EXAMPLEDIR)/%.ppl $(PYXPLOT) .pyxplotrc
	echo "Producing example plot $*..."
	mkdir -p $(EPSDIR)
	$(PYXPLOT) $< > /dev/null

pyxplot-plain.pdf: pyxplot-plain.ps
	echo "Making plain pdf documentation..."
	ps2pdf $< $@ > /dev/null 2> /dev/null

# Dependency on pyxplot-plain.dvi is a fudge so that 'make -j 2' doesn't parallelise pdflatex and latex
pyxplot.pdf: $(SOURCES) pyxplot-plain.dvi
	echo "Making hyperref pdf documentation..."
	rm -f *.aux *.idx *.ilg *.ind *.lob *.loe *.lof *.toc
	pdflatex pyxplot > /dev/null 2> /dev/null
	pdflatex pyxplot > /dev/null 2> /dev/null
	pdflatex pyxplot > /dev/null 2> /dev/null
	makeindex pyxplot.idx > /dev/null 2> /dev/null
	pdflatex pyxplot > /dev/null 2> /dev/null

%.ps: %.dvi
	echo "Making postscript documentation..."
	dvips -Pcmz -Pamz $< -o $@ > /dev/null 2> /dev/null

pyxplot-plain.dvi: $(SOURCES)
	echo "Compiling documentation..."
	rm -f *.aux *.idx *.ilg *.ind *.lob *.loe *.lof
	latex pyxplot-plain.tex > /dev/null 2> /dev/null
	latex pyxplot-plain.tex > /dev/null 2> /dev/null
	latex pyxplot-plain.tex > /dev/null 2> /dev/null
	makeindex pyxplot-plain.idx > /dev/null 2> /dev/null
	latex pyxplot-plain.tex > /dev/null 2> /dev/null

=== debian/changelog ===
pyxplot (0.8.1-1) unstable; urgency=low

  * New upstream release (rewrite in C).
  * Rewrite in C removes python string exceptions problems (Closes: #585345).
  * Update packaging to new release.
  * Split off pyxplot-doc package containing the HTML and PDF documentation;
    Conflict+Replace older versions of the package.
  * Drop gv-wrapper now that upstream has built this functionality into pyxplot.
  * Drop patches for PyX since it is no longer used by pyxplot.
  * Drop makefile-destdir.patch (incorporated upstream).
  * Drop makefile-usrshareman.patch (incorporated upstream).
  * Drop plastex-icons.patch (incorporated upstream).
  * Depend on texlive-latex-extra as upgreek.sty is unconditionally included
    in the latex template.
  * Update watch file now that repackaging the upstream source is not needed.
  * Drop repackaging scripts.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Mon, 14 Jun 2010 23:30:14 +0100

pyxplot (0.7.1+1-2) unstable; urgency=low

  * Change build-dep to use libmagickcore-extra as part of the imagemagick
    transition (Closes: #573972, #574308).
  * Bump standards version to 3.8.4 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 17 Mar 2010 18:55:42 +0000

pyxplot (0.7.1+1-1) unstable; urgency=low

  * New upstream release
  * Use Debian package for PyX not the pyxplot-modified version.
  * Drop manpage_syntax.patch as it is applied upstream.
  * Add build-depends on libmagickcore2-extra since imagemagick has reorganised
    the plugin packages (closes: #560651).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 12 Dec 2009 00:48:45 +0000

pyxplot (0.7.0+1-1) unstable; urgency=low

  * New maintainer. Thanks to Sam Morris for his previous work.
  * New upstream release (closes: #547962).
  * Replace obsolete dependencies on gs-* packages (closes: #534900).
  * Depend on texlive-latex-base to ensure that latex is installed
    (closes: #497918).
  * Move gv to recommends and use a wrapper to find other postscript viewers
    and allow user configuration of this (closes: #492804).
  * Move python-scipy to a Recommends as it is possible to use pyxplot without
    this package installed (closes: #478834).
  * Document recommended packages and the functionality they provide in
    README.Debian.
  * Add menu entry, icons and mime-type assosciation for pyxplot files.
  * Change build system to dh7+quilt.
  * Bump standards version to 3.8.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 13 Oct 2009 15:11:08 +0100

pyxplot (0.6.3.1+ds-3) unstable; urgency=low

  * Add Homepage to control fields.
  * Add a copyright notice for Debian packaging to debian/copyright.

 -- Sam Morris <sam@robots.org.uk>  Sun, 04 Nov 2007 10:10:05 +0000

pyxplot (0.6.3.1+ds-2) UNRELEASED; urgency=low

  * Fix copyright file; it now mentions how we turn upstream's source archive
    into the one used for this package.
  * Make the new-upstream script easier to call manually, as opposed to
    automatically from uscan(1): if the --upstream_version argument is not
    specified on the command line, don't run uupdate(1) after repacking the
    upstream tarball.

 -- Sam Morris <sam@robots.org.uk>  Sat, 15 Sep 2007 18:24:00 +0100

pyxplot (0.6.3.1+ds-1) UNRELEASED; urgency=low

  * Repack upstream tarball to remove contained PyX tarball and HTML
    documentation.
    + 200_build-docs-verbose.patch: don't try to unpack PyX's tarball and
      install it along with PyXPlot.
    + No longer any need to build-depend on imagemagick.
    + No longer any need to specify DEB_TARBALL in rules file.
  * Introduce debian/new-upstream which does this for us automatically for
    a new usptream release; call this script from the watch file.

 -- Sam Morris <sam@robots.org.uk>  Sat, 15 Sep 2007 00:24:45 +0100

pyxplot (0.6.3.1-2) UNRELEASED; urgency=low

  * Rename debian/README to debian/README.Debian.
  * Tighten strictness of dependency on python-pyx (as advised by upstream)
    since PyX's API changes break PyXPlot with every new release.
  * Build the documentation in HTML format; also build-depend on
    python-plastex.
  * Now that the HTML documentation is built, there is no longer any need to
    prevent its removal during clean; therefore express the remaining changes
    to doc/Makefile in the form of 200_build-docs-verbose.patch.
  * Add a debian/watch file.

 -- Sam Morris <sam@robots.org.uk>  Sun, 19 Aug 2007 03:26:26 +0100

pyxplot (0.6.3.1-1) UNRELEASED; urgency=low

  * Not a new upstream release... I just didn't notice that the previous
    version was really 0.6.3.1.
  * No longer use tarball-in-a-tarball build system.
  * Set DEB_TARBALL to empty value in rules file so that cdbs does not
    create PyX-0.9.tar.gz.cdbs-config_list.
  * Drop build-dependency on obsolete tetex-bin.
  * Patch doc/Makefile directly in the Debian source patch to prevent HTML
    documentation from being removed on clean. Also prevent LaTeX's output
    from being sent to /dev/null.
  * Install shipped documentation in HTML format, and register it with
    doc-base.
  * Register PDF documentation with doc-base.
  * Build-depend on textlive-latex-recommended and textlive-fonts-recommended
    so that the documentation will build.
  * Build-depend on python-pyx (since it's used directly by pyxplot).
    Currently I think at build-time the pyx module shipped inside the pyxplot
    sources is used... if I later remove this then I'll need Debian's package
    of pyx to be installed.

 -- Sam Morris <sam@robots.org.uk>  Wed, 16 May 2007 23:25:02 +0100

pyxplot (0.6.3-2) UNRELEASED; urgency=low

  * Invoke gv(1) correctly (the - character in '-watch' was ommitted).
  * No need to remove build-stamp in clean, it was cruft from an earlier
    version of the package.

 -- Sam Morris <sam@robots.org.uk>  Wed, 16 May 2007 21:12:48 +0100

pyxplot (0.6.3-1) UNRELEASED; urgency=low



=== debian/control ===
Source: pyxplot
Maintainer: Stuart Prescott <stuart+debian@nanonanonano.net>
Priority: optional
Section: math
Build-Depends: debhelper (>= 7.3.5),
                fftw3-dev,
                libcfitsio3-dev,
                libgsl0-dev,
                libkpathsea-dev,
                libpng12-dev,
                libreadline-dev,
                libxml2-dev,
                zlib1g-dev,
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-fonts-extra,
                texlive-pstricks,
                python,
                python-plastex,
                ghostscript,
                wget,
                imagemagick,
                libmagickcore-extra
Standards-Version: 3.8.4
Homepage: http://www.pyxplot.org.uk/

Package: pyxplot
Architecture: any
Depends: texlive-latex-base,
         texlive-latex-extra,
          ${misc:Depends},
          ${shlibs:Depends}
Recommends: gv | postscript-viewer,
            imagemagick,
            pyxplot-doc
Suggests: wget,
          unzip
Description: data plotting program producing publication-quality output
 PyXPlot is a command-line graphing/plotting package with a simple interface
 resembling that of Gnuplot.
 .
 PyXPlot aims to improve significantly upon the quality of Gnuplot's output,
 producing publication-quality figures. To this end, text is rendered with all
 of the beauty and flexibility of the LaTeX typesetting environment.
 .
 Extensive documentation and examples can be found in the pyxplot-doc package.
 A gallery of sample plots is available from the project's web site.


Package: pyxplot-doc
Architecture: all
Section: doc
Depends: pyxplot,
          ${misc:Depends}
Recommends: pdf-viewer,
            www-browser
Conflicts: pyxplot (<< 0.8)
Replaces: pyxplot (<< 0.8)
Description: documentation for pyxplot data plotting program
 PyXPlot is a command-line graphing/plotting package with a simple interface
 resembling that of Gnuplot.
 .
 PyXPlot aims to improve significantly upon the quality of Gnuplot's output,
 producing publication-quality figures. To this end, text is rendered with all
 of the beauty and flexibility of the LaTeX typesetting environment.
 .
 This package includes extensive documentation and examples. A gallery of
 sample plots is available from the project's web site.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@

doc:
	convert -background none doc/tick.svg doc/tick.png
	convert -background none doc/cross.svg doc/cross.png
	$(MAKE) -C doc
	cp -r doc doc-plastex
	# Work around some plastex unhappiness
	cp debian/pyxplot-plastex.tex doc-plastex
	sed -i -r 's/(\\begin\{enumerate\})\[\(i\)\]/\1/' doc-plastex/*.tex
	cd doc-plastex; TEXINPUTS= plastex -d html --disable-image-cache --title="PyXPlot Users' Guide" pyxplot-plastex.tex
	rm -rf doc-plastex/html/.cache # --disable-image-cache does not seem to work
	# plastex leaves __init__.py files around
	find doc-plastex/html '(' -name __init__.py -or -name '__init__.py[co]' ')' -delete
	# plastex symlinks the icons but that doesn't make sense for these docs
	# fixed for squeeze (#555123)
	find doc-plastex/html -type l -exec sh -c 'cp --remove-destination "$$(readlink {})" "{}"' \;

override_dh_clean:
	dh_clean
	$(MAKE) -C doc clean
	rm -rf doc/html doc/pyxplot.lof doc/pyxplot.paux doc/tick.png doc/cross.png
	rm -rf doc-plastex
	rm -f Makefile pyxplot.1 pyxplot_watch.1

override_dh_auto_build:
	make USRDIR=/usr

override_dh_auto_install: doc
	make install USRDIR=/usr DESTDIR=$(CURDIR)/debian/tmp
	sh debian/mkicons $(CURDIR)/debian/pyxplot

override_dh_installdocs:
	dh_installdocs --link-doc pyxplot

override_dh_compress:
	dh_compress --all -X.pdf

.PHONY: override_dh_clean override_dh_auto_build override_dh_auto_install override_dh_installdocs override_dh_compress doc

## pyxplot 0.8.3

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Copyright (C) 2006-7 Dominic Ford <coders@pyxplot.org.uk>
 #
-# $Id: Makefile 768 2010-05-15 20:26:07Z dcf21 $
+# $Id: Makefile 907 2010-07-26 15:53:33Z dcf21 $
 #
 # PyXPlot is free software; you can redistribute it and/or modify it under the
 # terms of the GNU General Public License as published by the Free Software
@@ -23,7 +23,7 @@
 PYXPLOT = ../bin/pyxplot
 EXAMPLEDIR = examples
 EPSDIR = $(EXAMPLEDIR)/eps
-EPSFILES = $(EPSDIR)/ex_apachelog.eps $(EPSDIR)/ex_axisatzero.eps $(EPSDIR)/ex_axislabs.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_axistics2.eps $(EPSDIR)/ex_axisunits.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_cmbrtemp.eps $(EPSDIR)/ex_col_vs_mono.eps $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_eqnsolve.eps $(EPSDIR)/ex_ellipse.eps $(EPSDIR)/ex_euclid_I_47.eps $(EPSDIR)/ex_fft.eps $(EPSDIR)/ex_fitting.eps $(EPSDIR)/ex_funcsplice.eps $(EPSDIR)/ex_funcsplice2.eps $(EPSDIR)/ex_gallery.eps $(EPSDIR)/ex_hlines.eps $(EPSDIR)/ex_hrdiagram.eps $(EPSDIR)/ex_integration.eps $(EPSDIR)/ex_interpolation.eps $(EPSDIR)/ex_intro_bessel.eps $(EPSDIR)/ex_intro_func.eps $(EPSDIR)/ex_intro_func_splice.eps $(EPSDIR)/ex_intro_legendre.eps $(EPSDIR)/ex_intro_sine.eps $(EPSDIR)/ex_lenses.eps $(EPSDIR)/ex_linestyles.eps $(EPSDIR)/ex_lowerlimit.eps $(EPSDIR)/ex_mandelbrot.eps $(EPSDIR)/ex_map.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_nanotubes.eps $(EPSDIR)/ex_noentry.eps $(EPSDIR)/ex_notice.eps $(EPSDIR)/ex_pendulum.eps $(EPSDIR)/ex_pi_estimation.eps $(EPSDIR)/ex_piechart.eps $(EPSDIR)/ex_spirograph.eps $(EPSDIR)/ex_set_terminal.eps $(EPSDIR)/ex_tempscale.eps $(EPSDIR)/ex_text1.eps $(EPSDIR)/ex_text2.eps $(EPSDIR)/ex_triangle.eps $(EPSDIR)/ex_trajectories.eps $(EPSDIR)/ex_vortex.eps $(EPSDIR)/ex_windowfuncs.eps
+EPSFILES = $(EPSDIR)/ex_3d_helix.eps $(EPSDIR)/ex_apachelog.eps $(EPSDIR)/ex_axisatzero.eps $(EPSDIR)/ex_axislabs.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_axistics2.eps $(EPSDIR)/ex_axisunits.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_branch_cuts.eps $(EPSDIR)/ex_cmbrtemp.eps $(EPSDIR)/ex_col_vs_mono.eps $(EPSDIR)/ex_contourmap.eps $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_eqnsolve.eps $(EPSDIR)/ex_ellipse.eps $(EPSDIR)/ex_euclid_I_47.eps $(EPSDIR)/ex_fft.eps $(EPSDIR)/ex_fitting.eps $(EPSDIR)/ex_funcsplice.eps $(EPSDIR)/ex_funcsplice2.eps $(EPSDIR)/ex_gallery.eps $(EPSDIR)/ex_hlines.eps $(EPSDIR)/ex_hrdiagram.eps $(EPSDIR)/ex_integration.eps $(EPSDIR)/ex_interpolation.eps $(EPSDIR)/ex_intro_bessel.eps $(EPSDIR)/ex_intro_func.eps $(EPSDIR)/ex_intro_func_splice.eps $(EPSDIR)/ex_intro_legendre.eps $(EPSDIR)/ex_intro_sine.eps $(EPSDIR)/ex_lenses.eps $(EPSDIR)/ex_linestyles.eps $(EPSDIR)/ex_lowerlimit.eps $(EPSDIR)/ex_mandelbrot.eps $(EPSDIR)/ex_map.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_quadrupole.eps $(EPSDIR)/ex_nanotubes.eps $(EPSDIR)/ex_newton.eps $(EPSDIR)/ex_noentry.eps $(EPSDIR)/ex_notice.eps $(EPSDIR)/ex_pendulum.eps $(EPSDIR)/ex_pi_estimation.eps $(EPSDIR)/ex_piechart.eps $(EPSDIR)/ex_set_terminal.eps $(EPSDIR)/ex_spirograph.eps $(EPSDIR)/ex_surface_log.eps $(EPSDIR)/ex_surface_polynomial.eps $(EPSDIR)/ex_surface_sinc.eps $(EPSDIR)/ex_tempscale.eps $(EPSDIR)/ex_text1.eps $(EPSDIR)/ex_text2.eps $(EPSDIR)/ex_triangle.eps $(EPSDIR)/ex_trajectories.eps $(EPSDIR)/ex_vortex.eps $(EPSDIR)/ex_windowfuncs.eps $(EPSDIR)/ex_zeta_arg.eps
 
 SOURCES = calculations.tex changelog.tex colours.tex configuration.tex constants.tex data.tex definitions.tex first_steps.tex fit_maths.tex functions.tex gnuplot_diffs.tex installation.tex introduction.tex linestyles.tex main.tex other_apps.tex papersizes.tex plotting.tex programming.tex pyxplot.tex pyxplot-plain.tex reference.tex terminals.tex units.tex vector_graphics.tex $(EPSFILES)
 
@@ -37,6 +37,8 @@
 	echo "Producing example plot $*..."
 	mkdir -p $(EPSDIR)
 	$(PYXPLOT) $< > /dev/null
+
+$(EPSDIR)/%.pdf: $(EPSDIR)/%.eps
 
 pyxplot-plain.pdf: pyxplot-plain.ps
 	echo "Making plain pdf documentation..."

=== debian/changelog ===
pyxplot (0.8.3-1) unstable; urgency=low

  * New upstream (bugfix) release
  * Add additional copyright holders to debian/copyright
  * Set DM-Upload-Allowed: yes

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 03 Oct 2010 13:04:39 +0100

pyxplot (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - pyxplot now works on big-endian architectures too (Closes: #591538).
  * Drop gv-not-found.patch (incorporated upstream).
  * Bump standards version to 3.9.1 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 07 Aug 2010 18:33:29 +0100

pyxplot (0.8.1-2) unstable; urgency=low

  * Fix configure script to correctly handle the case where ghostview is not
    installed at configure time.
  * Force use of ghostview even though not installed at configure time
    (Closes: #589696).
  * Use Breaks rather than Conflicts as per §7.6 of policy version 3.9.0.
  * Bump standards version to 3.9.0.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 20 Jul 2010 12:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,9 @@
                 wget,
                 imagemagick,
                 libmagickcore-extra
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.pyxplot.org.uk/
+DM-Upload-Allowed: yes
 
 Package: pyxplot
 Architecture: any
@@ -55,7 +56,7 @@
           ${misc:Depends}
 Recommends: pdf-viewer,
             www-browser
-Conflicts: pyxplot (<< 0.8)
+Breaks: pyxplot (<< 0.8)
 Replaces: pyxplot (<< 0.8)
 Description: documentation for pyxplot data plotting program
  PyXPlot is a command-line graphing/plotting package with a simple interface

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	rm -f Makefile pyxplot.1 pyxplot_watch.1
 
 override_dh_auto_build:
+	sed -i 's,^GV_COMMAND=/bin/false,GV_COMMAND=/usr/bin/gv\nGV_OPT=--,' Makefile
 	make USRDIR=/usr
 
 override_dh_auto_install: doc

## pyxplot 0.8.4

=== doc/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # The code in this file is part of PyXPlot
 # <http://www.pyxplot.org.uk>
 #
-# Copyright (C) 2006-7 Dominic Ford <coders@pyxplot.org.uk>
+# Copyright (C) 2006-2011 Dominic Ford <coders@pyxplot.org.uk>
 #
-# $Id: Makefile 907 2010-07-26 15:53:33Z dcf21 $
+# $Id: Makefile 988 2010-12-14 17:27:32Z dcf21 $
 #
 # PyXPlot is free software; you can redistribute it and/or modify it under the
 # terms of the GNU General Public License as published by the Free Software
@@ -23,7 +23,7 @@
 PYXPLOT = ../bin/pyxplot
 EXAMPLEDIR = examples
 EPSDIR = $(EXAMPLEDIR)/eps
-EPSFILES = $(EPSDIR)/ex_3d_helix.eps $(EPSDIR)/ex_apachelog.eps $(EPSDIR)/ex_axisatzero.eps $(EPSDIR)/ex_axislabs.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_axistics2.eps $(EPSDIR)/ex_axisunits.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_branch_cuts.eps $(EPSDIR)/ex_cmbrtemp.eps $(EPSDIR)/ex_col_vs_mono.eps $(EPSDIR)/ex_contourmap.eps $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_eqnsolve.eps $(EPSDIR)/ex_ellipse.eps $(EPSDIR)/ex_euclid_I_47.eps $(EPSDIR)/ex_fft.eps $(EPSDIR)/ex_fitting.eps $(EPSDIR)/ex_funcsplice.eps $(EPSDIR)/ex_funcsplice2.eps $(EPSDIR)/ex_gallery.eps $(EPSDIR)/ex_hlines.eps $(EPSDIR)/ex_hrdiagram.eps $(EPSDIR)/ex_integration.eps $(EPSDIR)/ex_interpolation.eps $(EPSDIR)/ex_intro_bessel.eps $(EPSDIR)/ex_intro_func.eps $(EPSDIR)/ex_intro_func_splice.eps $(EPSDIR)/ex_intro_legendre.eps $(EPSDIR)/ex_intro_sine.eps $(EPSDIR)/ex_lenses.eps $(EPSDIR)/ex_linestyles.eps $(EPSDIR)/ex_lowerlimit.eps $(EPSDIR)/ex_mandelbrot.eps $(EPSDIR)/ex_map.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_quadrupole.eps $(EPSDIR)/ex_nanotubes.eps $(EPSDIR)/ex_newton.eps $(EPSDIR)/ex_noentry.eps $(EPSDIR)/ex_notice.eps $(EPSDIR)/ex_pendulum.eps $(EPSDIR)/ex_pi_estimation.eps $(EPSDIR)/ex_piechart.eps $(EPSDIR)/ex_set_terminal.eps $(EPSDIR)/ex_spirograph.eps $(EPSDIR)/ex_surface_log.eps $(EPSDIR)/ex_surface_polynomial.eps $(EPSDIR)/ex_surface_sinc.eps $(EPSDIR)/ex_tempscale.eps $(EPSDIR)/ex_text1.eps $(EPSDIR)/ex_text2.eps $(EPSDIR)/ex_triangle.eps $(EPSDIR)/ex_trajectories.eps $(EPSDIR)/ex_vortex.eps $(EPSDIR)/ex_windowfuncs.eps $(EPSDIR)/ex_zeta_arg.eps
+EPSFILES = $(EPSDIR)/ex_3d_helix.eps $(EPSDIR)/ex_apachelog.eps $(EPSDIR)/ex_axisatzero.eps $(EPSDIR)/ex_axislabs.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_axistics2.eps $(EPSDIR)/ex_axisunits.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_branch_cuts.eps $(EPSDIR)/ex_cmbrtemp.eps $(EPSDIR)/ex_col_vs_mono.eps $(EPSDIR)/ex_contourmap.eps $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_datagrid.eps $(EPSDIR)/ex_eqnsolve.eps $(EPSDIR)/ex_ellipse.eps $(EPSDIR)/ex_euclid_I_47.eps $(EPSDIR)/ex_fft.eps $(EPSDIR)/ex_fitting.eps $(EPSDIR)/ex_funcsplice.eps $(EPSDIR)/ex_funcsplice2.eps $(EPSDIR)/ex_gallery.eps $(EPSDIR)/ex_hlines.eps $(EPSDIR)/ex_hrdiagram.eps $(EPSDIR)/ex_integration.eps $(EPSDIR)/ex_interpolation.eps $(EPSDIR)/ex_intro_bessel.eps $(EPSDIR)/ex_intro_func.eps $(EPSDIR)/ex_intro_func_splice.eps $(EPSDIR)/ex_intro_legendre.eps $(EPSDIR)/ex_intro_sine.eps $(EPSDIR)/ex_lenses.eps $(EPSDIR)/ex_linestyles.eps $(EPSDIR)/ex_lowerlimit.eps $(EPSDIR)/ex_mandelbrot.eps $(EPSDIR)/ex_map.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_quadrupole.eps $(EPSDIR)/ex_nanotubes.eps $(EPSDIR)/ex_newton.eps $(EPSDIR)/ex_noentry.eps $(EPSDIR)/ex_notice.eps $(EPSDIR)/ex_pendulum.eps $(EPSDIR)/ex_pi_estimation.eps $(EPSDIR)/ex_piechart.eps $(EPSDIR)/ex_set_terminal.eps $(EPSDIR)/ex_spirograph.eps $(EPSDIR)/ex_surface_log.eps $(EPSDIR)/ex_surface_polynomial.eps $(EPSDIR)/ex_surface_sinc.eps $(EPSDIR)/ex_tempscale.eps $(EPSDIR)/ex_text1.eps $(EPSDIR)/ex_text2.eps $(EPSDIR)/ex_torus.eps $(EPSDIR)/ex_triangle.eps $(EPSDIR)/ex_trajectories.eps $(EPSDIR)/ex_trefoil.eps $(EPSDIR)/ex_vortex.eps $(EPSDIR)/ex_windowfuncs.eps $(EPSDIR)/ex_zeta_arg.eps
 
 SOURCES = calculations.tex changelog.tex colours.tex configuration.tex constants.tex data.tex definitions.tex first_steps.tex fit_maths.tex functions.tex gnuplot_diffs.tex installation.tex introduction.tex linestyles.tex main.tex other_apps.tex papersizes.tex plotting.tex programming.tex pyxplot.tex pyxplot-plain.tex reference.tex terminals.tex units.tex vector_graphics.tex $(EPSFILES)

=== debian/changelog ===
pyxplot (0.8.4-5) unstable; urgency=low

  * Don't unconditionally build documentation but use some of the examples to
    test the package; thanks to Mehdi Dogguy and Jakub Wilk. (Closes: #655868)

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Thu, 26 Jan 2012 23:45:15 +0000

pyxplot (0.8.4-4) unstable; urgency=low

  * Add build dependency on libncurses-dev for recent readline changes.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 19 Oct 2011 23:57:48 +0100

pyxplot (0.8.4-3) unstable; urgency=low

  * Set $HOME to a writable location to allow latex to find fonts.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 18 May 2011 01:12:45 +0100

pyxplot (0.8.4-2) unstable; urgency=low

  * Don't divert latex and pyxplot output during build process.
  * Stop scanning documentation for symlinks since plastex no longer generates
    broken symlinks in the documentation tree.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 15 May 2011 17:44:52 +0100

pyxplot (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright DEP-5 format.
  * Bump standards version to 3.9.2 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 07 May 2011 12:54:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,23 @@
                 libkpathsea-dev,
                 libpng12-dev,
                 libreadline-dev,
+                libncurses-dev,
                 libxml2-dev,
                 zlib1g-dev,
+                python,
+                wget,
+                ghostscript,
+                texlive-latex-base,
                 texlive-latex-extra,
+                imagemagick,
+                libmagickcore-extra
+Build-Depends-Indep:
                 texlive-latex-recommended,
                 texlive-fonts-recommended,
                 texlive-fonts-extra,
                 texlive-pstricks,
-                python,
                 python-plastex,
-                ghostscript,
-                wget,
-                imagemagick,
-                libmagickcore-extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.pyxplot.org.uk/
 DM-Upload-Allowed: yes

=== debian/rules ===
#!/usr/bin/make -f

# Disable the build target so that build-arch and build-indep (or binary-arch
# and binary-indep) can do the building instead.
build: ;
.PHONY: build

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# make sure $HOME is set and writeable so the latex tools work
export HOME = $(CURDIR)/tmp-home
DUMMY := $(shell mkdir -p $(HOME))

%:
	dh $@

build-doc: build-stamp
	convert -background none doc/tick.svg doc/tick.png
	convert -background none doc/cross.svg doc/cross.png
	$(MAKE) -C doc
	cp -r doc doc-plastex
	# Work around some plastex unhappiness
	cp debian/pyxplot-plastex.tex doc-plastex
	sed -i -r 's/(\\begin\{enumerate\})\[\(i\)\]/\1/' doc-plastex/*.tex
	cd doc-plastex; TEXINPUTS= plastex -d html --disable-image-cache --title="PyXPlot Users' Guide" pyxplot-plastex.tex
	rm -rf doc-plastex/html/.cache # --disable-image-cache does not seem to work
	# plastex leaves __init__.py files around
	find doc-plastex/html '(' -name __init__.py -or -name '__init__.py[co]' ')' -delete

override_dh_clean:
	dh_clean
	$(MAKE) -C doc clean
	rm -rf doc-plastex
	rm -rf $(CURDIR)/tmp-home

override_dh_auto_build-arch: build-stamp

build-stamp:
	sed -i 's,^GV_COMMAND=/bin/false,GV_COMMAND=/usr/bin/gv\nGV_OPT=--,' Makefile
	$(MAKE) USRDIR=/usr
	touch build-stamp

override_dh_auto_build-indep: build-doc

override_dh_auto_install-arch:
	$(MAKE) install USRDIR=/usr DESTDIR=$(CURDIR)/debian/tmp
	sh debian/mkicons $(CURDIR)/debian/pyxplot

override_dh_auto_install-indep:
	$(MAKE) install-doc USRDIR=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs --link-doc pyxplot

override_dh_compress:
	dh_compress --all -X.pdf

override_dh_auto_test:
        # don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc test-examples
endif

.PHONY: override_dh_clean override_dh_installdocs override_dh_compress build-doc

## pyxplot 0.9.2

=== doc/Makefile ===
# MAKEFILE
#
# The code in this file is part of Pyxplot
# <http://www.pyxplot.org.uk>
#
# Copyright (C) 2006-2012 Dominic Ford <coders@pyxplot.org.uk>
#
# $Id: Makefile 1289 2012-08-11 16:06:49Z dcf21 $
#
# Pyxplot is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# You should have received a copy of the GNU General Public License along with
# Pyxplot; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

# ----------------------------------------------------------------------------

# Makefile for Pyxplot documentation directory

PYXPLOT    = ../bin/pyxplot
EXAMPLEDIR = examples
FRAGDIR    = fragments
EX_EPSDIR  = $(EXAMPLEDIR)/eps
EX_TEXDIR  = $(EXAMPLEDIR)/tex
EX_FRAGDIR = $(FRAGDIR)/tex
FIGFILES   = $(wildcard $(EXAMPLEDIR)/*.ppl)
FRAGFILES  = $(wildcard $(FRAGDIR)/*.ppl)
SOURCES    = $(wildcard *.tex)

all: $(EX_EPSDIR)/timestamp $(EX_TEXDIR)/timestamp $(EX_FRAGDIR)/timestamp \
     pyxplot-plain.ps pyxplot-plain.pdf pyxplot.pdf

clean:
	rm -Rf $(EX_EPSDIR) $(EX_TEXDIR) $(EX_FRAGDIR)
	rm -f *.pdf *.ps *.dvi *.aux *.idx *.ilg *.ind *.lob *.loe *.lof *.log *.out *.toc

$(EX_EPSDIR)/timestamp: $(FIGFILES) $(PYXPLOT) .pyxplotrc
	python makeFigureEps.py $(PYXPLOT)
	date > $(EX_EPSDIR)/timestamp

$(EX_TEXDIR)/timestamp: $(FIGFILES) $(PYXPLOT) .pyxplotrc
	python makeFigureTex.py
	date > $(EX_TEXDIR)/timestamp

$(EX_FRAGDIR)/timestamp: $(FRAGFILES) $(PYXPLOT) .pyxplotrc
	python makeFragmentTex.py
	date > $(EX_FRAGDIR)/timestamp

pyxplot-plain.pdf: pyxplot-plain.ps
	echo "Making plain pdf documentation..."
	ps2pdf $< $@

# Dependency on pyxplot-plain.dvi is a fudge so that 'make -j' doesn't parallelise pdflatex and latex
pyxplot.pdf: $(SOURCES) pyxplot-plain.dvi
	echo "Making hyperref pdf documentation..."
	rm -f *.aux *.idx *.ilg *.ind *.lob *.loe *.lof *.toc
	pdflatex pyxplot
	pdflatex pyxplot
	pdflatex pyxplot
	makeindex pyxplot.idx
	pdflatex pyxplot

%.ps: %.dvi
	echo "Making postscript documentation..."
	dvips -Pcmz -Pamz $< -o $@

pyxplot-plain.dvi: $(SOURCES) $(EX_EPSDIR)/timestamp $(EX_TEXDIR)/timestamp $(EX_FRAGDIR)/timestamp
	echo "Compiling documentation..."
	rm -f *.aux *.idx *.ilg *.ind *.lob *.loe *.lof
	latex pyxplot-plain.tex
	latex pyxplot-plain.tex
	latex pyxplot-plain.tex
	makeindex pyxplot-plain.idx
	latex pyxplot-plain.tex

EPSTESTFILES = $(EX_EPSDIR)/ex_3d_helix.eps $(EX_EPSDIR)/ex_apachelog.eps $(EX_EPSDIR)/ex_axisatzero2.eps \
$(EX_EPSDIR)/ex_axisatzero3.eps $(EX_EPSDIR)/ex_axisatzero.eps $(EX_EPSDIR)/ex_axislabs.eps \
$(EX_EPSDIR)/ex_axistics2.eps $(EX_EPSDIR)/ex_axistics.eps $(EX_EPSDIR)/ex_axisunits.eps \
$(EX_EPSDIR)/ex_barchart1.eps $(EX_EPSDIR)/ex_barchart2.eps $(EX_EPSDIR)/ex_branch_cuts.eps \
$(EX_EPSDIR)/ex_cmbrtemp.eps $(EX_EPSDIR)/ex_colgradient.eps $(EX_EPSDIR)/ex_col_vs_mono.eps \
$(EX_EPSDIR)/ex_contourmap.eps $(EX_EPSDIR)/ex_cover.eps $(EX_EPSDIR)/ex_datagrid.eps \
$(EX_EPSDIR)/ex_ellipse.eps $(EX_EPSDIR)/ex_eqnsolve.eps $(EX_EPSDIR)/ex_euclid_I_47.eps \
$(EX_EPSDIR)/ex_fft2.eps $(EX_EPSDIR)/ex_fft.eps $(EX_EPSDIR)/ex_fitting.eps \
$(EX_EPSDIR)/ex_funcsplice2.eps $(EX_EPSDIR)/ex_funcsplice.eps $(EX_EPSDIR)/ex_gallery.eps \
$(EX_EPSDIR)/ex_hlines.eps $(EX_EPSDIR)/ex_hrdiagram.eps $(EX_EPSDIR)/ex_integration.eps \
$(EX_EPSDIR)/ex_interpolation.eps $(EX_EPSDIR)/ex_intro_bessel.eps $(EX_EPSDIR)/ex_intro_func.eps \
$(EX_EPSDIR)/ex_intro_func_splice.eps $(EX_EPSDIR)/ex_intro_legendre.eps $(EX_EPSDIR)/ex_intro_sine.eps \
$(EX_EPSDIR)/ex_lenses.eps $(EX_EPSDIR)/ex_linestyles2.eps $(EX_EPSDIR)/ex_linestyles3.eps \
$(EX_EPSDIR)/ex_linestyles.eps $(EX_EPSDIR)/ex_lowerlimit.eps $(EX_EPSDIR)/ex_mandelbrot.eps \
$(EX_EPSDIR)/ex_map.eps $(EX_EPSDIR)/ex_multiaxes.eps $(EX_EPSDIR)/ex_nanotubes.eps \
$(EX_EPSDIR)/ex_newton.eps $(EX_EPSDIR)/ex_noentry.eps $(EX_EPSDIR)/ex_notice.eps \
$(EX_EPSDIR)/ex_palettelist.eps $(EX_EPSDIR)/ex_pendulum2.eps $(EX_EPSDIR)/ex_pendulum.eps \
$(EX_EPSDIR)/ex_piechart2.eps $(EX_EPSDIR)/ex_piechart.eps $(EX_EPSDIR)/ex_pi_estimation.eps \
$(EX_EPSDIR)/ex_plotstyletab.eps $(EX_EPSDIR)/ex_polygon1.eps $(EX_EPSDIR)/ex_polygon2.eps \
$(EX_EPSDIR)/ex_quadrupole.eps $(EX_EPSDIR)/ex_set_terminal.eps $(EX_EPSDIR)/ex_spectrum_1.eps \
$(EX_EPSDIR)/ex_spectrum_bbcol.eps $(EX_EPSDIR)/ex_spectrum_biref.eps $(EX_EPSDIR)/ex_spectrum_colmix1.eps \
$(EX_EPSDIR)/ex_spectrum_colmix2.eps $(EX_EPSDIR)/ex_spirograph.eps $(EX_EPSDIR)/ex_surface_log.eps \
$(EX_EPSDIR)/ex_surface_polynomial.eps $(EX_EPSDIR)/ex_surface_sinc.eps $(EX_EPSDIR)/ex_tempscale.eps \
$(EX_EPSDIR)/ex_text1.eps $(EX_EPSDIR)/ex_text2.eps $(EX_EPSDIR)/ex_torus.eps \
$(EX_EPSDIR)/ex_trajectories.eps $(EX_EPSDIR)/ex_trefoil.eps $(EX_EPSDIR)/ex_triangle.eps \
$(EX_EPSDIR)/ex_upperlimit.eps $(EX_EPSDIR)/ex_vortex.eps $(EX_EPSDIR)/ex_windowfuncs.eps \
$(EX_EPSDIR)/ex_zeta_arg.eps

test-examples: $(EX_EPSDIR)/timestamp
	for e in $(EPSTESTFILES); do \
	   ls -l $$e; \
	   if [ ! -s "$$e" ]; then \
			echo "$$e has zero length; tests failed"; exit 2; \
	   fi \
	done

.PHONY: test-examples

=== debian/changelog ===
pyxplot (0.9.2-15) unstable; urgency=medium

  * Turn off compiler optimisation with GCC-15 to prevent FTBFS
    (Closes: #1097683).
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Sep 2025 04:23:05 +1000

pyxplot (0.9.2-14) unstable; urgency=medium

  * Fix FTBFS with texlive 2023 patching input .tex for index links in the
    documentation (Closes: #1052923).

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Oct 2023 17:17:24 +1100

pyxplot (0.9.2-13) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Build depend on libfftw3-dev, fftw3-dev no longer provided, with thanks to
    Bas Couwenberg <sebastic@debian.org> for the patch (Closes: #1025315).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Stuart Prescott ]
  * Update Standards-Version to 4.6.1 (no changes required).
  * Add lots of lintian overrides to improve the signal:noise.

 -- Stuart Prescott <stuart@debian.org>  Sun, 04 Dec 2022 22:00:26 +1100

pyxplot (0.9.2-12) unstable; urgency=medium

  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to debhelper-compat (= 13).
  * Force latex to obey SOURCE_DATE_EPOCH with FORCE_SOURCE_DATE.
  * Stop using upstream configure script to prevent failures with usrmerge.
  * Drop HTML documentation as it doesn't build correctly any more.
  * Avoid unwanted build of ex_pichart*.pdf in the examples.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Dec 2020 18:42:15 +1100

pyxplot (0.9.2-11) unstable; urgency=medium

  * Add patch to ignore new DVI specials rather than generating lots of
    warnings (Closes: #951365).

 -- Stuart Prescott <stuart@debian.org>  Wed, 19 Feb 2020 21:26:27 +1100

pyxplot (0.9.2-10) unstable; urgency=medium

  * Update Standards-Version to 4.5.0 (no changes required).
  * Switch to using pkg-config for libxml2 rather than xml2-config"
    (Closes: #949487).

 -- Stuart Prescott <stuart@debian.org>  Fri, 24 Jan 2020 11:43:33 +1100

pyxplot (0.9.2-9) unstable; urgency=medium

  * Switch to Python 3 for everything (Closes: #938308).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Add Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Dec 2019 15:48:05 +1100

pyxplot (0.9.2-8) unstable; urgency=medium

  * use existing doc directory for build-time tests.

 -- Stuart Prescott <stuart@debian.org>  Sun, 24 Feb 2019 23:55:26 +1100

pyxplot (0.9.2-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright: Use https protocol in Format field

  [ Stuart Prescott ]
  * Add eps-creation-date-source-date-epoch.patch to set creation times
    based on SOURCE_DATE_EPOCH.
  * Enable additional hardening options for compiler.
  * Update to debhelper-compat (=11).
  * Update documentation paths for debhelper 11.
  * Regenerate plastex-compliant tex file.
  * Require a plastex that can correctly import PIL.
  * Change Vcs-* URLs to salsa.debian.org.
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jan 2019 02:10:23 +1100

pyxplot (0.9.2-6) unstable; urgency=medium

  * Remove /usr/share/doc/pyxplot symlink so that pyxplot-doc no longer needs
    to depend on pyxplot (Closes: #807124).
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg for the patch (Closes: #807223).

 -- Stuart Prescott <stuart@debian.org>  Mon, 07 Dec 2015 03:42:36 +1100

pyxplot (0.9.2-5) unstable; urgency=medium

  * Stop using imagemagick at build time to get away from imagemagick
    transitions (Closes: #761554, #761726).
  * Build-depend on libcfitsio-dev instead of libcfitsio3-dev (Closes: #761717).
  * Bump standards version to 3.9.6 (no changes required).
  * Override lintian warning package-contains-timestamped-gzip about files
    that are in the source package.
  * Add autopkgtest test suite.

 -- Stuart Prescott <stuart@debian.org>  Thu, 18 Sep 2014 00:51:40 +1000

pyxplot (0.9.2-4) unstable; urgency=low

  * Bump standards version to 3.9.4 (no changes required).
  * Move test target into Makefile to simplify debian/rules.
  * Package ready for upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Wed, 15 May 2013 01:26:07 +1000

pyxplot (0.9.2-3) experimental; urgency=low

  * Make test output unbuffered and don't run really slow tests to prevent
    buildd timeout.

 -- Stuart Prescott <stuart@debian.org>  Tue, 18 Dec 2012 00:15:48 +0000

pyxplot (0.9.2-2) experimental; urgency=low

  * Move texlive-fonts-recommended to Build-Depends since it is now needed by
    the test suite.

 -- Stuart Prescott <stuart@debian.org>  Sat, 15 Dec 2012 17:54:06 +0000

pyxplot (0.9.2-1) experimental; urgency=low

  * New upstream release
  * Drop patches build-hardening.patch, doc-build-redirection.patch
    separate-build-docs.patch, test-some-examples.patch applied upstream.
  * Drop cherry-picked upstream-svn-20120808.patch

 -- Stuart Prescott <stuart@debian.org>  Sat, 15 Dec 2012 16:04:14 +0000

pyxplot (0.9.0-2) experimental; urgency=low

  * Fix doc/Makefile for testing using examples.

 -- Stuart Prescott <stuart@debian.org>  Thu, 09 Aug 2012 00:41:16 +0100

pyxplot (0.9.0-1) experimental; urgency=low

  * New upstream release
  * Build-Depend on libpng-dev rather than libpng12-dev for libpng transition
    (Closes: #662480).
  * Update format URL in debian/copyright.
  * Bump standards version to 3.9.3 (no changes required).
  * Use debhelper 9 and enable hardening flags.

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 Aug 2012 23:14:08 +0100

=== debian/control ===
Source: pyxplot
Maintainer: Stuart Prescott <stuart@debian.org>
Priority: optional
Section: math
Build-Depends:
 debhelper-compat (= 13),
 libfftw3-dev,
 ghostscript,
 imagemagick,
 libcfitsio-dev,
 libgsl-dev,
 libkpathsea-dev,
 libncurses-dev,
 libpng-dev,
 libreadline-dev,
 libxml2-dev,
 pkgconf,
 python3,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 wget,
 zlib1g-dev
Build-Depends-Indep:
 texlive-fonts-extra,
 texlive-latex-recommended,
 texlive-pstricks
Standards-Version: 4.7.2
Homepage: http://www.pyxplot.org.uk/
Vcs-Browser: https://salsa.debian.org/debian/pyxplot
Vcs-Git: https://salsa.debian.org/debian/pyxplot.git
Rules-Requires-Root: no

Package: pyxplot
Architecture: any
Depends:
 texlive-latex-base,
 texlive-latex-extra,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gv | postscript-viewer,
 imagemagick,
 pyxplot-doc,
 sensible-utils,
Suggests:
 unzip,
 wget
Description: data plotting program producing publication-quality output
 Pyxplot is a multi-purpose graph plotting tool, scientific scripting language,
 vector graphics suite, and data processing package. Its interface is designed
 to make common tasks -- e.g., plotting labelled graphs of data -- accessible
 via short, simple, intuitive commands.
 .
 Pyxplot produces publication-quality figures. To this end, text is rendered
 with all of the beauty and flexibility of the LaTeX typesetting environment.
 .
 Extensive documentation and examples can be found in the pyxplot-doc package.
 A gallery of sample plots is available from the project's web site.

Package: pyxplot-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 pdf-viewer,
 www-browser
Description: documentation for pyxplot data plotting program
 Pyxplot is a multi-purpose graph plotting tool, scientific scripting language,
 vector graphics suite, and data processing package. Its interface is designed
 to make common tasks -- e.g., plotting labelled graphs of data -- accessible
 via short, simple, intuitive commands.
 .
 Pyxplot produces publication-quality figures. To this end, text is rendered
 with all of the beauty and flexibility of the LaTeX typesetting environment.
 .
 This package includes extensive documentation and examples. A gallery of
 sample plots is available from the project's web site.

=== debian/rules ===
#!/usr/bin/make -f


# Enable additional hardening options for the binaries
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Optimisation in gcc-15 leading to FTBFS - see #1097683
export DEB_CFLAGS_MAINT_APPEND = -O0

# Force latex to obey SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE = 1

%:
	dh $@

build-doc: build-stamp
	cp debian/icons/tick.png debian/icons/cross.png doc/
	+$(MAKE) -C doc
	# clean up auto-generated tex output
	rm -rf doc/examples/tex
	rm doc/examples/eps/timestamp

override_dh_clean:
	dh_clean
	$(MAKE) -C doc clean
	rm -rf doc/examples/tex

override_dh_auto_configure:
	# Upstream's configure gets confused so hard-code its output
	cat debian/Makefile.header Makefile.skel > Makefile

override_dh_auto_build-arch: build-stamp

build-stamp:
	+$(MAKE) USRDIR=/usr
	touch build-stamp

override_dh_auto_build-indep: build-doc

override_dh_auto_install-arch:
	+$(MAKE) install USRDIR=/usr DESTDIR=$(CURDIR)/debian/tmp
	sh debian/icons/mkicons install $(CURDIR)/debian/pyxplot

override_dh_auto_install-indep:
	+$(MAKE) install-doc USRDIR=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress:
	dh_compress --all -X.pdf


# These two targets are for the maintainer to refresh icons if needed
build-icons:
	sh debian/icons/mkicons convert

build-doc-icons:
	convert -background none doc/tick.svg debian/icons/tick.png
	convert -background none doc/cross.svg debian/icons/cross.png

.PHONY: build-doc build-icons build-doc-icons

=== debian/tests/control ===
Tests: pyxplot
Depends: pyxplot,
    ghostscript,
    python3,
    texlive-fonts-recommended

=== debian/watch ===
version=4
http://www.pyxplot.org.uk/src/ pyxplot_(\S+).tar.gz
